Name:             libcangjie
Summary:          Cangjie Input Method Library
Version:          1.3
Release:          3%{?dist}
License:          LGPLv3+
URL:              http://cangjians.github.io/projects/%{name}
Source0:          https://github.com/Cangjians/libcangjie/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:    sqlite-devel

# Split out so it can be noarch
Requires:         %{name}-data = %{version}-%{release}

%description
Library implementing the Cangjie input method.


%package data
Summary:          Database for %{name}
BuildArch:        noarch

%description data
Database for %{name}.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{_isa} = %{version}-%{release}
Requires:         sqlite-devel

%description devel
Development files for %{name}.


%prep
%setup -q


%build
%configure

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f '{}' \;


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README.md
%{_libdir}/%{name}.so.2*

%files data
%doc data/README.table.rst
%{_datadir}/%{name}

%files devel
%doc docs/*.md
%{_bindir}/libcangjie_*
%{_includedir}/cangjie
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/cangjie.pc


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 28 2014 Mathieu Bridon <bochecha@daitauha.fr> - 1.3-1
- New upstream 1.3 release.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2-1
- New upstream 1.2 release.

* Sun Feb 02 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 1.1-1
- New upstream 1.1 release.

* Sun Dec 22 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.0-1
- New upstream 1.0 release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1a-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-3
- Apply upstream patch to fix the classic frequency.

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-2
- Split out the databases to a noarch subpackage, as suggested by Michael
  during the review.

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1a-1
- Initial package for Fedora.
